> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Task Boards



## OpenAPI

````yaml /openapi-v1.json get /api/v1/task-boards
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/task-boards:
    get:
      tags:
        - Tasks
      summary: List Task Boards
      operationId: list_task_boards
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskBoardListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    TaskBoardListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/TaskBoardOut'
          title: Data
          type: array
      required:
        - data
      title: TaskBoardListOut
      type: object
    TaskBoardOut:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        is_private:
          title: Is Private
          type: boolean
        is_default:
          title: Is Default
          type: boolean
        role:
          enum:
            - admin
            - editor
            - viewer
          title: Role
          type: string
        can_edit:
          title: Can Edit
          type: boolean
        can_admin:
          title: Can Admin
          type: boolean
      required:
        - id
        - name
        - is_private
        - is_default
        - role
        - can_edit
        - can_admin
      title: TaskBoardOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.